IBM Support

IT34367: MQSeriesRDQM RPM package does not enforce pre-requisite on Pacemaker RPM package

Subscribe to this APAR

By subscribing, you receive periodic emails alerting you to the status of the APAR, along with a link to the fix after it becomes available. You can track this item individually or track all items by product.

Notify me when this APAR changes.

Notify me when an APAR for this component changes.

 

APAR status

  • Closed as program error.

Error description

  • The MQSeriesRDQM package depends on functionality supplied by
    the Pacemaker libraries and its pre-requisites. Correct versions
    of
    the required Pacemaker packages are supplied as part of the IBM
    MQ
    installation media. The MQSeriesRDQM RPM package does not
    enforce that these packages have been installed, which could
    allow a user to attempt to proceed with an incomplete
    installation.
    
    Note that different levels of the Pacemaker packages are
    required for RHEL 7 than RHEL 8, the appropriate packages for
    each RHEL version are identified by the el7 and el8
    subdirectories of the installation media accordingly.
    

Local fix

  • Ensure that the correct levels of prerequisite packages supplied
    with the IBM MQ installation media have been installed prior to
    installing the MQSeriesRDQM package
    

Problem summary

  • ****************************************************************
    USERS AFFECTED:
    Users of RDQM on RHEL 7 or RHEL 8
    
    
    Platforms affected:
    Linux on x86-64
    
    ****************************************************************
    PROBLEM DESCRIPTION:
    The MQSeriesRDQM installation package failed to check the
    correct prerequisite packages were installed on the system.
    

Problem conclusion

  • The installation code has been modified to check that the
    correct prerequisites have been installed on the system prior to
    installing RDQM.
    
    ---------------------------------------------------------------
    The fix is targeted for delivery in the following PTFs:
    
    Version    Maintenance Level
    v9.2 LTS   9.2.0.2
    v9.x CD    9.2.2
    
    The latest available maintenance can be obtained from
    'WebSphere MQ Recommended Fixes'
    http://www-1.ibm.com/support/docview.wss?rs=171&uid=swg27006037
    
    If the maintenance level is not yet available information on
    its planned availability can be found in 'WebSphere MQ
    Planned Maintenance Release Dates'
    http://www-1.ibm.com/support/docview.wss?rs=171&uid=swg27006309
    ---------------------------------------------------------------
    

Temporary fix

Comments

APAR Information

  • APAR number

    IT34367

  • Reported component name

    MQ BASE V9.2

  • Reported component ID

    5724H7281

  • Reported release

    920

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt / Xsystem

  • Submitted date

    2020-09-28

  • Closed date

    2021-01-22

  • Last modified date

    2021-01-22

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    MQ BASE V9.2

  • Fixed component ID

    5724H7281

Applicable component levels

[{"Line of Business":{"code":"LOB36","label":"IBM Automation"},"Business Unit":{"code":"BU053","label":"Cloud & Data Platform"},"Product":{"code":"SSYHRD","label":"IBM MQ"},"Platform":[{"code":"PF025","label":"Platform Independent"}],"Version":"920"}]

Document Information

Modified date:
25 March 2021